curl --request PATCH \
--url https://scheduler.dashsocial.com/tiktok/scheduled_posts/{post_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"approval_requests": [
{
"requested_by_user_id": 123,
"review_user_id": 123
}
],
"auto_publish": true,
"board_ids": [
1
],
"callback_socket_id": "<string>",
"campaign_ids": [
1
],
"content_tag_ids": [
1
],
"creation_source": "RSS_FEED",
"disable_comment": false,
"disable_duet": false,
"disable_stitch": false,
"duplicate_to_brand_ids": [
1
],
"media_ids": [
1
],
"music_info": {
"artist": "<string>",
"commercial_music_id": "<string>",
"commercial_music_name": "<string>",
"music_sound_end": 1,
"music_sound_start": 1,
"music_sound_volume": 50,
"thumbnail_url": "<string>",
"trending_song_clip_duration": 2,
"trending_song_clip_id": "<string>",
"trending_song_preview_url": "<string>",
"video_original_sound_volume": 50
},
"post_group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sort_index": 123,
"text": "<string>",
"thumbnail_offset": 1,
"thumbnail_url": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"title": null
}
'import requests
url = "https://scheduler.dashsocial.com/tiktok/scheduled_posts/{post_id}"
payload = {
"approval_requests": [
{
"requested_by_user_id": 123,
"review_user_id": 123
}
],
"auto_publish": True,
"board_ids": [1],
"callback_socket_id": "<string>",
"campaign_ids": [1],
"content_tag_ids": [1],
"creation_source": "RSS_FEED",
"disable_comment": False,
"disable_duet": False,
"disable_stitch": False,
"duplicate_to_brand_ids": [1],
"media_ids": [1],
"music_info": {
"artist": "<string>",
"commercial_music_id": "<string>",
"commercial_music_name": "<string>",
"music_sound_end": 1,
"music_sound_start": 1,
"music_sound_volume": 50,
"thumbnail_url": "<string>",
"trending_song_clip_duration": 2,
"trending_song_clip_id": "<string>",
"trending_song_preview_url": "<string>",
"video_original_sound_volume": 50
},
"post_group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sort_index": 123,
"text": "<string>",
"thumbnail_offset": 1,
"thumbnail_url": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"title": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
approval_requests: [{requested_by_user_id: 123, review_user_id: 123}],
auto_publish: true,
board_ids: [1],
callback_socket_id: '<string>',
campaign_ids: [1],
content_tag_ids: [1],
creation_source: 'RSS_FEED',
disable_comment: false,
disable_duet: false,
disable_stitch: false,
duplicate_to_brand_ids: [1],
media_ids: [1],
music_info: {
artist: '<string>',
commercial_music_id: '<string>',
commercial_music_name: '<string>',
music_sound_end: 1,
music_sound_start: 1,
music_sound_volume: 50,
thumbnail_url: '<string>',
trending_song_clip_duration: 2,
trending_song_clip_id: '<string>',
trending_song_preview_url: '<string>',
video_original_sound_volume: 50
},
post_group_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
sort_index: 123,
text: '<string>',
thumbnail_offset: 1,
thumbnail_url: '<string>',
timestamp: '2023-11-07T05:31:56Z',
title: null
})
};
fetch('https://scheduler.dashsocial.com/tiktok/scheduled_posts/{post_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 123,
"errors": {},
"message": "<string>",
"status": "<string>"
}{
"code": 123,
"errors": {},
"message": "<string>",
"status": "<string>"
}Update a TikTok post
Update a specific TikTok post by post ID.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the scheduled post to update
x >= 0Body
The approval policy of the approval request
APPROVAL_REQUIRED, APPROVAL_NOT_REQUIRED The list of approval requests associated with the post.
Show child attributes
Show child attributes
Whether the post should be auto published.
The list of the board ids associated with the post.
x >= 0Branded content type of the TikTok post.
promoted, paid_partnership, null The list of the campaign ids associated with the post.
x >= 0The list of the content tag ids associated with the post.
x >= 0To identify the user or the application that created the post.
RSS_FEED Whether to allow comments on the post
Whether to allow others to duet the post
Whether to allow others to stitch with the post
The list of duplicate to brand ids.
55x >= 0The list of the media ids attached to the post.
x >= 0Trending sound data for the TikTok post. Null if no trending sound is selected.
Show child attributes
Show child attributes
The id of the post group associated with the post.
The sorted index for unscheduled posts.
The current status of the post.
AUTOPUBLISHING, DRAFT, EXPIRED, FAILED, IMPORTED, MISSING_APPROVALS, PARTIALLY_FAILED, POSTED, SCHEDULED, SKIPPED, USERS_NOTIFIED The text of the post.
Thumbnail offset in milliseconds
x >= 0Image URL to be displayed as a thumbnail in the DH user interface.
The scheduled date & time for publishing the post.